Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153106 (el3-ia64-cacheflush) - ia64 elfloader cache flush
Summary: ia64 elfloader cache flush
Keywords:
Status: CLOSED ERRATA
Alias: el3-ia64-cacheflush
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-01 16:22 UTC by Alex Williamson
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-501
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-15 08:47:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (deleted)
2005-04-01 16:22 UTC, Alex Williamson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:501 qe-ready SHIPPED_LIVE Important: XFree86 security update 2005-09-15 04:00:00 UTC

Description Alex Williamson 2005-04-01 16:22:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050325 Firefox/1.0.2 (Debian package 1.0.2-1)

Description of problem:
ia64 needs an extra cache flush to ensure the icache is coherent when modules are loaded.  I'll attach a patch that explicitly flushes the icache.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-78.EL

How reproducible:
Didn't try


Additional info:

Comment 1 Alex Williamson 2005-04-01 16:22:53 UTC
Created attachment 112590 [details]
proposed patch

Comment 3 Rohit Seth 2005-04-12 16:16:40 UTC
We are seeing this issue on systems in Intel.  Please raise the priroity of 
this issue to high.  This is must fix for EL3 U6 (A lot of our internal 
validation teams are dependent on this issue).

Comment 4 Mike A. Harris 2005-04-13 22:54:17 UTC
Thanks for the report, and the patch.

We have reviewed the issue and believe the patch is safe to apply.  We've
also confirmed that this patch has already been integrated into X.Org CVS
HEAD, and is being considered as a candidate for the 6.8.x stable branch
tree as well, so we've approved it for inclusion in RHEL3 U6 also.

Once U5 has been released, and our CVS tree is unfrozen, we will
incorporate the fix into RHEL3 and build new packages in the
RHEL3 U6 tree.  When new rpm packages are built, we'll make packages
available to you for testing, and update the status here.

Thanks again.



Comment 7 Mike A. Harris 2005-05-19 19:05:59 UTC
Status update:

The patch for this issue is in our queue to be included in RHEL U6.  Once
RHEL U6 is finalized and we're certain no further rebuilds will be required
for U6, we will be opening our CVS tree for U6, and the changes will be
committed to CVS at that time.  We will also provide updated rpm packages
at that time, and update the status of this report.

Thanks.

Comment 8 Mike A. Harris 2005-05-19 19:08:12 UTC
Correction - the last comment should have read:

Status update:

The patch for this issue is in our queue to be included in RHEL U6.  Once
RHEL U5 is finalized and we're certain no further rebuilds will be required
for U5, we will be opening our CVS tree for U6, and the changes will be
committed to CVS at that time.  We will also provide updated rpm packages
at that time, and update the status of this report.

Thanks.



Comment 9 Marty Wesley 2005-05-26 06:45:58 UTC
PM ACK for U6

Comment 15 Mike A. Harris 2005-06-14 13:42:57 UTC
HP and Intel:

The patch supplied by Alex in comment #1 has been added to a RHEL3 U6
build which is now available for testing at the following URL.  Please
test these rpms at your earliest convenience and report back the status
of your testing results.

XFree86-4.3.0-83.EL is now available for download via ftp at
the following URL:  ftp://people.redhat.com/mharris/testing/3.0E

Comment 16 Red Hat Bugzilla 2005-09-15 08:47:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-501.html



Note You need to log in before you can comment on or make changes to this bug.